Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Formalisms.Logical
Class LogicalInConnect

    java.lang.Object
      SEdit.SElement
          SEdit.SNode
              SEdit.SConnect
                  SEdit.SInConnect
                      SEdit.Formalisms.Logical.LogicalInConnect

All Implemented Interfaces:
  SLogicalElement

    public class LogicalInConnect

extends SInConnect
implements SLogicalElement

A connector for logical gates

Field Summary

Fields inherited from class SEdit.SConnect
`arrows, component, connectorPlacement, name_on_module`

Fields inherited from class SEdit.SElement
`comment, descriptor, element, id, label, persistent, structure`

Constructor Summary
`LogicalInConnect()`

Method Summary
`boolean` | `getValue()`
`void` | `receive(boolean b)`
`void` | `setValue(boolean b)`

Methods inherited from class SEdit.SInConnect
`addInArrow, addOutArrow, getInArrows, getOutArrows, isConnectable`

Methods inherited from class SEdit.SConnect
`addToComponent, delete, deleteInArrow, deleteOutArrow, getComponent, getConnectorPlacement, initGraphics, removeFromComponent, setComponent`

Methods inherited from class SEdit.SNode
`activate, reInstall`

Methods inherited from class SEdit.SElement
`dump, getComment, getDescriptor, getGObject, getID, getLabel, getStructure, init, inspect, setComment, setDescriptor, setGObject, setID, setLabel, setStructure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogicalInConnect

    public LogicalInConnect()

Method Detail

### getValue

    public boolean getValue()

### setValue

    public void setValue(boolean b)

### receive

    public void receive(boolean b)

  Specified by:
    `receive` in interface `SLogicalElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.